@import '../../../styles/mixins';

:host {
  @include flex-center-layout;
  flex-direction: column;
  height: 100vh;

  background: #c33764;
  background: linear-gradient(to left, #2a3544, #240b46);
}

h1 {
  text-transform: uppercase;
}

.rickroll {
  @include flex-center-layout;
  flex-direction: column;
  position: absolute;
  z-index: 99;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%) scale(0);
  transition: transform 0.5s $cubic-bezier;
  &.reveal-visible {
    transform: translate(-50%, -50%) scale(1);
  }
}

[sfl-button] {
  margin-top: $margin;
  max-width: 200px;
}
